Package org.springframework.cglib.transform

# Class AbstractClassLoader

java.lang.Object
java.lang.ClassLoader
org.springframework.cglib.transform.AbstractClassLoader

Direct Known Subclasses:
  `TransformingClassLoader`

public abstract class AbstractClassLoader extends ClassLoader

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractClassLoader(ClassLoader parent, ClassLoader classPath, ClassFilter filter)`

## Method Summary

Modifier and Type
Method
Description
`protected Attribute[]`
`attributes()`
`protected int`
`getFlags()`
`protected ClassGenerator`
`getGenerator(ClassReader r)`
`Class`
`loadClass(String name)`
`protected void`
`postProcess(Class c)`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractClassLoader

protected AbstractClassLoader(ClassLoader parent, ClassLoader classPath, ClassFilter filter)

## Method Details

### loadClass

public Class loadClass(String name) throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`

### getGenerator

protected ClassGenerator getGenerator(ClassReader r)

### getFlags

protected int getFlags()

### attributes

protected Attribute[] attributes()

### postProcess

protected void postProcess(Class c)